image: "python:3.7"

before_script:
  - python --version
  - pip install pylint

stages:
  - lint

linting:
  tags:
    - lint
  stage: lint
  script:
    - pylint --ignore=tests.py --max-line-length=120 *.py app
